Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Activity
  • Jan 31 2019 17:58
    jorgemachucav starred galaxyproject/tools-iuc
  • Jan 31 2019 17:45
    bebatut opened #2270
  • Jan 31 2019 16:18
    cpreviti synchronize #2267
  • Jan 31 2019 14:15
    cpreviti synchronize #2267
  • Jan 31 2019 12:42
    bernt-matthias review_requested #2269
  • Jan 31 2019 12:42
    bernt-matthias edited #2269
  • Jan 31 2019 12:41
    bernt-matthias edited #2269
  • Jan 31 2019 12:40
    bernt-matthias synchronize #2269
  • Jan 31 2019 12:13
    cpreviti commented #2267
  • Jan 31 2019 12:07
    nsoranzo commented #2267
  • Jan 31 2019 12:01
    cpreviti synchronize #2267
  • Jan 31 2019 11:21
    cpreviti synchronize #2267
  • Jan 31 2019 09:47
    cpreviti synchronize #2267
  • Jan 31 2019 09:27
    cpreviti synchronize #2267
  • Jan 30 2019 20:38
    bernt-matthias commented #2131
  • Jan 30 2019 20:19
    hepcat72 commented #2239
  • Jan 30 2019 19:50
    lparsons commented #2239
  • Jan 30 2019 18:36
    bgruening commented #2268
  • Jan 30 2019 15:23
    nsoranzo commented #2268
  • Jan 30 2019 15:23
    nsoranzo commented #2267
wm75 (Wolfgang Maier)
@wm75:matrix.org
[m]
I've been trying to explain to them why it's not a great idea to switch your scikit-learn version when building models for a given release, but seems they rae not really getting the point :(
That's for your 3.1.20 question.
Older models installed via a DM are working still.
wm75 (Wolfgang Maier)
@wm75:matrix.org
[m]
Regarding the v4 series, there should be 4.0.5+galaxy2 in the toolshed already (not sure why it didn't get installed on .eu over the weekend), which addresses a few issues. Your error message really looks like something's wrong with your FASTA input though. If not, then what were the exact parameters you've been using?
Nate Coraor
@natefoo:matrix.org
[m]
I was running the tool tests using galaxy-tool-test
kenza12
@kenza12
Hi, I opened this PR to update rpbasicdesign tool : https://github.com/brsynth/tools-iuc/pull/new/rpbasicdesign_update_1_1_0 . Can anyone review/merge it please ? I also opened this PR (galaxyproject/tools-iuc#4458) for another tool (dnabot) and it was merged but I can't find it in the toolshed . Can you check what's wrong please? Thank you for your work.
Yvan Le Bras
@yvanlebras
Hi amazing IUC!
Hope all is ok on your sides !
We are trying to add some conda recipes but tests fails...
If someone has an idea conda-forge/staged-recipes#18967
1 reply
Cristóbal Gallardo
@gallardoalba:matrix.org
[m]
> library('dissUtils') 2022-05-17T07:43:35.5948057Z Error in library("dissUtils") : there is no package called 'dissUtils'
Yvan Le Bras
@yvanlebras
the "final" problem is effectively the env don't find the R packages for which we wrote the recipes... But, locally, testing the recipes with "conda-build" we have a exit 0 code + in the log, loading the libraries are ok....
(the recipes are related to mmand, dissUtils and geometa R packages)
Moreover is there anyone there having created a conda recipe from an archived (outdated) R package?
Yvan Le Bras
@yvanlebras
FYI we fixed our issues with conda recipes ;)
just using https://github.com/bgruening/conda_r_skeleton_helper to generate conda recipe from R package, we have some "extra files" not mandatory normally for proposing a recipe BUT in fact this is mandatory for the github tests to b ok ;)
Another question ;)
concerning the fact we want a tool proposing as input data a composite format, shp.

we wrote this :

<inputs>
        <param type="data" name="input" format="shp,xml,json,tabular,txt"

https://toolshed.g2.bx.psu.edu/repository?repository_id=4127eedef3aaafec

but in fact I see that we can't access shp composite files from the tool (for example on eu: https://ecology.usegalaxy.eu/root?tool_id=toolshed.g2.bx.psu.edu/repos/ecology/gdal_ogr2ogr/gdal_ogr2ogr/3.0.0)
if you have any information
;)
bgruening
@bgruening:matrix.org
[m]
can you maybe share a history with some example data?
Yvan Le Bras
@yvanlebras
thank you Björn!
hope all is ok on your side !
for example, with the ogr2ogr tool, I can't select the dataset 21
bgruening
@bgruening:matrix.org
[m]
21 is a collection
with type binary
so this is corerct that you can not select it
Yvan Le Bras
@yvanlebras
yes, as this is coming from a composite datatype upload
bgruening
@bgruening:matrix.org
[m]
7 you can select and it is shp file
Yvan Le Bras
@yvanlebras
hmm
bgruening
@bgruening:matrix.org
[m]
no
you have uploaded a collection
Yvan Le Bras
@yvanlebras
true... but unfortunately I think this was a very old test of shapefile upload before we created the shapefile composite datatype
bgruening
@bgruening:matrix.org
[m]
but not a composite datatype as it looks like
Yvan Le Bras
@yvanlebras
Ah yes ! Got it !! THANK YOU SO MUCH
bgruening
@bgruening:matrix.org
[m]
?
Yvan Le Bras
@yvanlebras
IN fact this is because it is an old history where we made several tests to upload shapefile data! And this was before having this wonderfull shp composite datatype !
bgruening
@bgruening:matrix.org
[m]
did we solved it?
Yvan Le Bras
@yvanlebras
Now, when I upload a shp composite datafile, I see it on the ogr2ogr tool input parameter !
Youhouhou
Thank you !!!!!!!
Amazing
bgruening
@bgruening:matrix.org
[m]
cool
pvanheus
@pvanheus
I'm trying to make sense of how to use planemo autoupdate - if I just run it locally it times out trying to install tools... so I'd like to use the --profile option... but I don't understand how profiles work... they seem to need a Galaxy URL and Galaxy user or admin API key... but I don't see where the Galaxy user is specified. Or what the database stuff is for
M Bernt
@bernt-matthias:matrix.org
[m]
With the API key you don't need to specify a user. Galaxy will know which user belongs to the API key.
pvanheus
@pvanheus
ah ok...